d.nviz(1)

NAME
d.nviz - Create fly-through script to run in NVIZ

SYNOPSIS
d.nviz
d.nviz help
d.nviz [-ifckoe] input=string output=string [name=string] [route=east,north[,east,north,...]] dist=float ht=float frames=integer [start=integer]

  Flags:

-i  Interactively select route

-f  Full render -- Save images

-c  Fly at constant elevation (ht)

-k  Output KeyFrame file

-o  Render images off-screen

-e  Enable vector and sites drawing

  Parameters:

input=string
    Name of existing raster map

output=string
    Name of output script

name=string
    Prefix of output images (default = NVIZ)

route=east,north[,east,north,...]
    Route coordinates (east,north)

dist=float
    Camera layback distance (in map units)

ht=float
    Camera height above terrain

frames=integer
    Number of frames

start=integer
    Start frame number (default=0)

DESCRIPTION
The d.nviz program allows the user to easily create a script that can be run in NVIZ to fly through a terrain. The NVIZ flight path can be chosen interactively from the GRASS monitor (-i) or supplied on the command line as comma separated coordinates. The program optionally allows a KeyFrame file to created (after running the script). This KeyFrame file can be loaded into the Keyframe Animation panel for fine tuning or editting.

The script generated by d.nviz can be run from the NVIZ command line (nviz script=script_name) or after NVIZ is started by selecting Scripting->Play Script.

OPTIONS

  Flags:

-i  Intercative mode The user selects the camera path from the GRASS monitor by clicking the left mouse button along the route. Click the right mouse button to finish.

-f  Full render The script will draw all loaded NVIZ data and save scene to PPM image.

-c  Flay at constant elevation With this flag the camera will be set to an elevation given by the ht= parameter. The default is to fly at ht= above the topography (i.e. camera height = elevation + ht)

-k  Output KeyFrame file Generate a KeyFrame file that can be loaded from the NVIZ Keyframe Animation panel. The KeyFrame file is automatically assigned the script name with a .kanimator extension.

-o  Render the animation in an off-screen context

-e  Enable vector and sites drawing

  Parameters:

input
    The name of the GRASS raster file with elevation data. This should be the same file that will be loaded in NVIZ.

output
    The name of the NVIZ script to create.

name
    The prefix for output images if running in full render mode (-f). The defulat preifix is NVIZ (eg. NVIZ0000.ppm).

dist
    The distance of the camera behind the center of view.

ht  The height of the camera above the center of view. If the the -c flag is set, the height represents the actual camera height.

frames
    The number of frames in the animation.

start
    The starting frame number (default = 0). This option may be useful in full render mode when creating an animation in sections. For example the user may wish to start at frame number 2000.

route
    The comma seperated geographic coordinates for keyframe locations. The interactive flag (-i) overrides this option.

EXAMPLE
To interactively create an NVIZ animation from raster elev.rast with 500 frames and the camera set to 50 meters above and 250 meters behind the scene, run the following:
d.nviz -ik input=elevation.dem output=nviz.script dist=400 ht=220 frames=500
In the above the example the user is prompted to select the route from the GRASS monitor. The output script, nviz.script, can then be run in NVIZ:
nviz el=elevation.dem script=nviz.script

NOTES / HINTS
The user must select at least four key-frame locations (points) otherwise an error is generated.

If the GRASS region is changed the d.nviz command must be re-run.

The current GRASS region and the user supplied paramters are included as a comment at the top of the output script. This information can be used to easily re-create the animation.

The camera position is calculated backwards from the supplied position(s). It is possible that the camera position will lie outside the current window, in which case a non-fatal error is generated (Error: selected point is outside region). This error can result in jerky movements during the animation. To correct this problem reduce the dist= parameter or increase the current region.

  Loading the script into NVIZ
The user can run the script at arbitrary resolution. To re-run it at higher spatial resolution or different settings, the user first loads the surface and sets the resolution, lighting, etc. Then internally the script generated by d.nviz is run. Alternatively, the user can run nviz with a previuosly saved state and the d.nviz generated script:
nviz state=saved.state script=nviz.script

  Keyframe animator script
Running the script generated by d.nviz within NVIZ, a new script for kanimator (keyframe animator) is created. The kanimator panel offers fine tuning of the speed (frame rate) as well as editing individual frames or inserting new frames. This new kanimator script has to be loaded from the Kanimator panel in NVIZ. In the Kanimator panel there are Save and Load button which allow the user to save and re-load a kanimator script. Once loaded, the key frames will appear in the GUI and can then be edited there.

SEE ALSO
nviz

AUTHOR
Bob Covill

Last changed: $Date: 2005/06/28 10:25:30 $

Help Index